%define package_name gda

Name: libgda
Version: 0.2.96
Release: alt3

Summary: GNU Data Access
License: GPL/LGPL
Group: Databases
Url: http://www.gnome.org/projects/gnome-db/

Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-db/%name-%version.tar.bz2
Patch: %name-0.2.96-mdk-c++fixes.patch.bz2
Patch1: %name-0.2.96-mdk-lib64.patch.bz2
Patch2: %name-0.2.96-mdk-no-usrlib.patch.bz2
Patch3: %name-0.2.96-mdk-omffix.patch.bz2

Obsoletes: libgda-perl

PreReq: scrollkeeper

%define postgresql_ver 7.2.2-alt2
BuildPreReq: postgresql-devel >= %postgresql_ver

# Automatically added by buildreq on Thu Sep 26 2002
BuildRequires: FirebirdCS ORBit-devel XFree86-devel XFree86-libs bonobo docbook-dtds docbook-style-dsssl esound-devel freetype2-devel gcc-c++ gdbm-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc imlib-devel indent libGConf-devel libMySQL-devel libORBit libaudiofile-devel libbonobo-devel libdb1-devel libgda liboaf libpopt-devel libssl libstdc++-devel libunixODBC-devel libxml-devel libxml2-devel libxslt-devel oaf-devel openjade postgresql-devel scrollkeeper sgml-common zlib-devel

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %package_name
Summary: GNU Data Access
Group: Databases

%description -n %package_name
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package devel
Summary: GNU Data Access Development
Group: Development/Databases
Requires: %name = %version-%release
Provides: %name-devel

%description devel
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

%package devel-static
Summary: GNU Data Access Development
Group: Development/Databases
Requires: %name-devel = %version-%release
Provides: %name-devel-static

%description devel-static
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

%package -n %package_name-postgres
Summary: GDA PostgreSQL Provider
Group: Databases
Requires: %name = %version-%release
Requires: postgresql-libs >= %postgresql_ver
Provides: %package_name-postgres = %version

%description -n %package_name-postgres
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA PostgreSQL provider

%package -n %package_name-mysql
Summary: GDA MySQL Provider
Group: Databases
Requires: %name = %version-%release
Provides: %package_name-mysql = %version

%description -n %package_name-mysql
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA MySQL provider

%package -n %package_name-odbc
Summary: GDA ODBC Provider
Group: Databases
Requires: %name = %version-%release
Provides: %package_name-odbc = %version

%description -n %package_name-odbc
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA ODBC provider

%package -n %package_name-interbase
Summary: GDA Interbase Provider
Group: Databases
Requires: %name = %version
Provides: %package_name-interbase = %version

%description -n %package_name-interbase
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA Intebase provider

#%package perl
#Summary: GDA Perl bindings
#Group:		Databases
#Requires:	%name = %version
#Provides:	%package_name-perl = %version
#AutoReqProv: yes, perl

#%description perl
#GNU Data Access is an attempt to provide uniform access to
# different kinds of data sources (databases, information
# servers, mail spools, etc).
# It is a complete architecture that provides all you need to
# access your data.
# .
# libgda was part of the GNOME-DB project
# (http://www.gnome.org/projects/gnome-db), but has been
# separated from it to allow non-GNOME applications to be
# developed based on it.

# This package includes the GDA Perl bindings

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%__autoconf
%configure --with-postgres=yes \
	--with-mysql=yes \
	--with-odbc=%prefix \
	--with-interbase=%prefix

# SMP-incompatible build
%make

%install
%makeinstall PREFIX=%buildroot%prefix \
	    GDA_oafdir=%buildroot%_datadir/oaf

%find_lang %name

%post 
%post_ldconfig
#update_scrollkeeper

%postun
%postun_ldconfig
#clean_scrollkeeper

%post -n gda-postgres -p %post_ldconfig
%postun -n gda-postgres -p %postun_ldconfig

%post -n gda-mysql -p %post_ldconfig
%postun -n gda-mysql -p %postun_ldconfig

%post -n gda-odbc -p %post_ldconfig
%postun -n gda-odbc -p %postun_ldconfig

%post -n gda-interbase -p %post_ldconfig
%postun -n gda-interbase -p %postun_ldconfig

%files -f %name.lang -n %package_name
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/gda-test
%_bindir/gda-run
%_bindir/gda-default-srv
%_datadir/gda
%_datadir/gnome/help/libgda
%_datadir/gnome/html/libgda*
%_datadir/idl/*
%_datadir/oaf/GNOME_GDA_Provider_Default.oaf
#_datadir/omf/*

%files
%_libdir/lib*.so.*

%files devel
%_bindir/gda-build*
%_bindir/gda-config
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/libgda-%version/gda
%_includedir/libgda-%version/gda++

%files devel-static
%_libdir/lib*.a

#%files perl
#%perl_sitearch/Gnome/GDA/*
#%perl_sitearch/auto/Gnome/GDA/*
#%perl_man3dir/*

%files -n %package_name-postgres
%_bindir/gda-postgres-srv
%_datadir/oaf/GNOME_GDA_Provider_Postgres.*

%files -n %package_name-mysql
%_bindir/gda-mysql-srv
%_datadir/oaf/GNOME_GDA_Provider_MySQL.*

%files -n %package_name-odbc
%_bindir/gda-odbc-srv
%_datadir/oaf/GNOME_GDA_Provider_ODBC.*

%files -n %package_name-interbase
%_bindir/gda-interbase-srv
%_datadir/oaf/GNOME_GDA_Provider_InterBase.*

%changelog
* Wed Dec 04 2002 AEN <aen@altlinux.ru> 0.2.96-alt3
- *omf removed
- *oaf restored

* Tue Oct 29 2002 AEN <aen@altlinux.ru> 0.2.96-alt2
- *.oaf removed (conflict with libgda2)
- rebuilt with bew libgdbm

* Wed Sep 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.96-alt1
- 0.2.96.
- applied mdk patches.
- gcc-3.2 used.

* Mon Feb 04 2002 AEN <aen@logic.ru> 0.2.95-alt1
- new version

* Thu Oct 18 2001 AEN <aen@logic.ru> 0.2.92-alt1
- new version
- intebase module back

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.2.91-alt1
- new version

* Wed Aug 22 2001 AEN <aen@logic.ru> 0.2.90-alt2
- new tarball from authors

* Tue Aug 14 2001 AEN <aen@logic.ru> 0.2.90-alt1
- new version
- interbase module removed (not working yet)
- perl module removed by author
* Sat Jul 07 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.10-alt2
- Fixed multiple bogosities, especially in libgda-perl package

* Thu Jun 28 2001 AEN <aen@logic.ru> 0.2.10-alt1
- new version
- interbase & odbc suport

* Tue Mar 13 2001 AEN <aen@logic.ru> 0.2.3-ipl3mdk
- rebuild for release with new environment

* Tue Feb 27 2001 AEN <aen@logic.ru> 0.2.3-ipl2mdk
- RE adaptation
* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libified

* Sat Sep 2 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
